Bug 25987 - aic7xxx.o in 2.4.0-0.99.21smp bombs.
Summary: aic7xxx.o in 2.4.0-0.99.21smp bombs.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Doug Ledford
QA Contact: Brock Organ
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-04 19:27 UTC by Sam Varshavchik
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 19:30:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci output (2.90 KB, text/plain)
2001-02-04 19:27 UTC, Sam Varshavchik
no flags Details

Description Sam Varshavchik 2001-02-04 19:27:12 UTC
Installed kernel-smp-2.4.0-0.99.21.i686 from rawhide.

At boot, after "loading aic7xxx", I get "NMI watchdog detected lockup on
CPU 1", a stack trace, and a register dump.  That's all, folks.

Rebuilt initrd with aic7xxx_old driver, kernel boots fine.

Folks, instead of moving aic7xxx to aic7xxx_old, and then installing a
brand new driver as aic7xxx, doesn't it make much more sense just to
install the brand new driver as "aic7xxx_new"?

Otherwise this is going to nail a whole bunch of folks, on upgrade.

This is an Abit BP-6 dual-Celery motherboard, with onboard SCSI. Attachment
follows.

Comment 1 Sam Varshavchik 2001-02-04 19:27:42 UTC
Created attachment 8942 [details]
lspci output

Comment 2 Glen Foster 2001-02-05 22:58:25 UTC
This defect is considered MUST-FIX for Florence Release-Candidate #1

Comment 3 Gene Czarcinski 2001-02-06 19:30:13 UTC
I tried 2.4.0-0.99.23 smp from rawhide and it bombs also but the up version bott
OK.

This looks similar to or the same as 24874.

It is interesting the regular 2.4.0-0.99.11smp that came in beta3 (fisher) works
OK.



Comment 4 Doug Ledford 2001-02-07 07:46:08 UTC
The aic7xxx driver has been reverted from the Adaptec driver to my driver (plus
an update to my driver).  If you still have problems with the aic7xxx driver
after the next kernel release, then please reopen a new bug citing what problems
the aic7xxx-5.2.2 driver is having.


Note You need to log in before you can comment on or make changes to this bug.